import 'package:flutter/material.dart';
import 'package:vesti_logger/logger/vlogger_button.dart';
import 'package:vesti_logger/logger/vlogger_list.dart';
import 'package:vesti_logger/logger/vlogger_store.dart';

import 'LoggerBottomSheet.dart';


class VLogger {
  final VLoggerStore _store;

  VLogger(this._store);

  debug({String? title, String? message}) {
    _store.debug(title: title, message: message);
  }

  error({String? title, String? message}) {
    _store.error(title: title, message: message);
  }

  info({String? title, String? message}) {
    _store.info(title: title, message: message);
  }

  static Widget logButton() {
    return VLoggerButton();
  }

  static showLogList(BuildContext context) {
    LoggerBottomSheet.showDraggable(context, VLoggerList());
  }
}
