import 'package:flutter/material.dart';
import 'package:flutter_modular/flutter_modular.dart';
import 'package:vesti_logger/logger/vlogger.dart';
import 'package:vesti_logger/logger/vlogger_store.dart';

class VLoggerButton extends StatefulWidget {
  @override
  _VLoggerButtonState createState() => _VLoggerButtonState();
}

class _VLoggerButtonState extends State<VLoggerButton> {
  VLoggerStore _store = Modular.get();
  double xPosition = 20;
  double yPosition = 40;

  @override
  Widget build(BuildContext context) {
    return _store.isEnabled
        ? Positioned(
            top: yPosition,
            left: xPosition,
            child: GestureDetector(
              onPanUpdate: (tapInfo) {
                setState(() {
                  xPosition += tapInfo.delta.dx;
                  yPosition += tapInfo.delta.dy;
                });
              },
              child: FloatingActionButton(
                child: Text(
                  "Logs",
                  style: TextStyle(color: Colors.white),
                ),
                backgroundColor: Colors.black,
                onPressed: () {
                  VLogger.showLogList(context);
                },
              ),
            ),
          )
        : Container();
  }
}
